From 7333d1fad7fcc319955658f6ab1a4322d1e39526 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 828/1001] Don't load the fedmsg config if not necessary


---

diff --git a/hubs/backend/triage.py b/hubs/backend/triage.py
index 36fb76f..7f7858c 100755
--- a/hubs/backend/triage.py
+++ b/hubs/backend/triage.py
@@ -27,8 +27,6 @@ import logging.config
 import random
 import sys
 
-import fedmsg.config
-import fedmsg.meta
 import retask.queue
 
 import hubs.app
@@ -37,14 +35,14 @@ import hubs.widgets.base
 
 
 log = logging.getLogger('hubs.backend.triage')
-config = fedmsg.config.load_config()
+fedmsg_config = hubs.app.fedmsg_config
 session = hubs.app.session
 
 
 def triage(outbound, msg):
     topic = msg['topic']
 
-    for suffix in config['hubs.junk_suffixes']:
+    for suffix in fedmsg_config['hubs.junk_suffixes']:
         if topic.endswith(suffix):
             log.debug("  Dropping junk %r", topic)
             return
@@ -76,16 +74,14 @@ def triage(outbound, msg):
 
 
 def main(args):
-    logging.config.dictConfig(config['logging'])
+    logging.config.dictConfig(fedmsg_config['logging'])
     logging.basicConfig()
 
-    fedmsg.meta.make_processors(**config)
-
     # XXX - for flask.url_for to work
     hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'
 
-    inbound_name = config['hubs.redis.triage-queue-name']
-    outbound_name = config['hubs.redis.work-queue-name']
+    inbound_name = fedmsg_config['hubs.redis.triage-queue-name']
+    outbound_name = fedmsg_config['hubs.redis.work-queue-name']
 
     log.info("Triage proc starting. Moving from %r to %r."
              % (inbound_name, outbound_name))
diff --git a/hubs/backend/worker.py b/hubs/backend/worker.py
index a827c3a..8e8d8c6 100755
--- a/hubs/backend/worker.py
+++ b/hubs/backend/worker.py
@@ -31,8 +31,6 @@ import logging
 import logging.config
 import sys
 
-import fedmsg.config
-import fedmsg.meta
 import retask.queue
 
 import hubs.app
@@ -41,7 +39,7 @@ import hubs.widgets.base
 
 
 log = logging.getLogger('hubs.backend.worker')
-config = fedmsg.config.load_config()
+fedmsg_config = hubs.app.fedmsg_config
 session = hubs.app.session
 
 
@@ -69,15 +67,13 @@ def handle(idx, fn_name):
 
 
 def main(args):
-    logging.config.dictConfig(config['logging'])
+    logging.config.dictConfig(fedmsg_config['logging'])
     logging.basicConfig()
 
-    fedmsg.meta.make_processors(**config)
-
     # XXX - for flask.url_for to work
     hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'
 
-    name = config['hubs.redis.work-queue-name']
+    name = fedmsg_config['hubs.redis.work-queue-name']
     log.info("Worker starting, connecting to retask queue %r." % name)
     queue = retask.queue.Queue(name)
     queue.connect()
diff --git a/hubs/migrations/env.py b/hubs/migrations/env.py
index a9ea110..0148bb7 100644
--- a/hubs/migrations/env.py
+++ b/hubs/migrations/env.py
@@ -2,7 +2,6 @@ from __future__ import absolute_import, unicode_literals
 
 from logging.config import fileConfig
 
-import fedmsg.config
 from alembic import context
 from sqlalchemy import create_engine, pool
 
@@ -27,7 +26,7 @@ if context.config.config_file_name is not None:
     # This line sets up loggers basically.
     fileConfig(context.config.config_file_name)
 
-fedmsg_config = fedmsg.config.load_config()
+fedmsg_config = hubs.app.fedmsg_config
 url = fedmsg_config['hubs.sqlalchemy.uri']
 target_metadata = BASE.metadata
 
diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index d6cc11c..3b4c6b3 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -1,14 +1,10 @@
 from __future__ import unicode_literals
 
-import fedmsg.config
-
 import hubs
 import hubs.models
 import hubs.tests
 from hubs.authz import AccessLevel
 
-fedmsg_config = fedmsg.config.load_config()
-
 
 class ModelTest(hubs.tests.APPTest):
     def test_delete_user(self):
diff --git a/hubs/widgets/contact/__init__.py b/hubs/widgets/contact/__init__.py
index 37b4b1c..1596cea 100644
--- a/hubs/widgets/contact/__init__.py
+++ b/hubs/widgets/contact/__init__.py
@@ -1,7 +1,5 @@
 from __future__ import unicode_literals
 
-import fedmsg.config
-import fedmsg.meta
 import flask
 import hubs.models
 import requests
@@ -10,8 +8,6 @@ import six
 from hubs.widgets.base import Widget, WidgetView
 from hubs.views.utils import login_required
 
-config = fedmsg.config.load_config()
-
 
 class Contact(Widget):
 

